Retrieve Bundles
Get all allowed bundles.
GET
/
bundle_pricing
/
billing_bundles
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const billingBundleSummary of client.bundlePricing.billingBundles.list()) {
console.log(billingBundleSummary.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.bundle_pricing.billing_bundles.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.BundlePricing.BillingBundles.List(context.TODO(), telnyx.BundlePricingBillingBundleListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.bundlepricing.billingbundles.BillingBundleListPage;
import com.telnyx.sdk.models.bundlepricing.billingbundles.BillingBundleListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
BillingBundleListPage page = client.bundlePricing().billingBundles().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.bundle_pricing.billing_bundles.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->bundlePricing->billingBundles->list(
filter: ['countryISO' => ['US'], 'resource' => ['+15617819942']],
pageNumber: 0,
pageSize: 0,
authorizationBearer: 'authorization_bearer',
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx bundle-pricing:billing-bundles list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/bundle_pricing/billing_bundles \
--header 'Authorization: Bearer <token>'{
"meta": {
"total_results": 55,
"total_pages": 3,
"page_number": 2,
"page_size": 25
},
"data": [
{
"id": "7ecd040e-6bac-4139-9160-3c0427d98fea",
"name": "Australia Basic",
"cost_code": "BUNDLE-PRICING-BASIC-MRC",
"is_public": true,
"created_at": "2023-12-25",
"slug": "basic-au-e4f8",
"mrc_price": 2,
"currency": "USD",
"specs": [
"1 AU Number",
"Emergency Calling",
"All inbound and outbound calling billed pay-as-you-go"
]
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Format: Bearer Authenticates the request with your Telnyx API V2 KEY
Query Parameters
Consolidated filter parameter (deepObject style). Supports filtering by country_iso and resource. Examples: filter[country_iso]=US or filter[resource]=+15617819942
Show child attributes
Show child attributes
Consolidated page parameter (deepObject style). Originally: page[size], page[number]
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const billingBundleSummary of client.bundlePricing.billingBundles.list()) {
console.log(billingBundleSummary.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.bundle_pricing.billing_bundles.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.BundlePricing.BillingBundles.List(context.TODO(), telnyx.BundlePricingBillingBundleListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.bundlepricing.billingbundles.BillingBundleListPage;
import com.telnyx.sdk.models.bundlepricing.billingbundles.BillingBundleListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
BillingBundleListPage page = client.bundlePricing().billingBundles().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.bundle_pricing.billing_bundles.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->bundlePricing->billingBundles->list(
filter: ['countryISO' => ['US'], 'resource' => ['+15617819942']],
pageNumber: 0,
pageSize: 0,
authorizationBearer: 'authorization_bearer',
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx bundle-pricing:billing-bundles list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/bundle_pricing/billing_bundles \
--header 'Authorization: Bearer <token>'{
"meta": {
"total_results": 55,
"total_pages": 3,
"page_number": 2,
"page_size": 25
},
"data": [
{
"id": "7ecd040e-6bac-4139-9160-3c0427d98fea",
"name": "Australia Basic",
"cost_code": "BUNDLE-PRICING-BASIC-MRC",
"is_public": true,
"created_at": "2023-12-25",
"slug": "basic-au-e4f8",
"mrc_price": 2,
"currency": "USD",
"specs": [
"1 AU Number",
"Emergency Calling",
"All inbound and outbound calling billed pay-as-you-go"
]
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}